libccaudio2-dev_2.1.3-1+b1_amd64.deb


Advertisement

Description

libccaudio2-dev - header files and static link library for GNU ccAudio

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libccaudio2-dev
Package version: 2.1.3
Package release: 1+b1
Package architecture: amd64
Package type: deb
Installed size: 421 B
Download size: 81.46 KB
Official Mirror: ftp.br.debian.org
The GNU ccAudio package offers a highly portable C++ class framework for developing applications which manipulate audio streams and various disk based audio file formats. At the moment ccaudio is primarly a class framework for handling .au, .wav (RIFF), and various .raw audio encoding formats under Posix and win32 systems, though it may expand to become a general purpose audio and soundcard support library. Support for controlling CD audio devices has recently been added as well as support for codecs and other generic audio processing services. This package provides the header files and documentation for building applications that use GNU ccAudio.

Alternatives

    Download

    Source package: libccaudio2

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libccaudio2-dev deb package:
      # sudo apt-get install libccaudio2-dev

    Files

    • /usr/bin/audiotool
    • /usr/bin/tonetool
    • /usr/include/ccaudio2.h
    • /usr/lib/x86_64-linux-gnu/libccaudio2.a
    • /usr/lib/x86_64-linux-gnu/libccaudio2.so
    • /usr/lib/x86_64-linux-gnu/pkgconfig/ccaudio2.pc
    • /usr/share/doc/libccaudio2-dev/NEWS.gz
    • /usr/share/doc/libccaudio2-dev/README.gz
    • /usr/share/doc/libccaudio2-dev/TODO
    • /usr/share/doc/libccaudio2-dev/changelog.Debian.amd64.gz
    • /usr/share/doc/libccaudio2-dev/changelog.Debian.gz
    • /usr/share/doc/libccaudio2-dev/changelog.gz
    • /usr/share/doc/libccaudio2-dev/copyright
    • /usr/share/man/man1/audiotool.1.gz
    • /usr/share/man/man1/tonetool.1.gz

    Changelog

    2014-06-25 - Mark Purcell <msp@debian.org> libccaudio2 (2.1.3-1) unstable; urgency=low * New upstream release [ Logan Rosen ] * Use dh-autoreconf to get new libtool macros for ppc64el. - Fixes "run dh-autoreconf to update config.{sub,guess} and {libtool,aclocal}.m4" (Closes: #727397) * Build-depend on pkg-config to fix FTBFS.

    2013-10-12 - Mark Purcell <msp@debian.org> libccaudio2 (2.1.1-1) unstable; urgency=low * New upstream release - Fixes "FTBFS: friends.cpp:1189:25: error:" (Closes: #707373) * NEW package libccaudio2-2 - match soname * Update Vcs: fixes vcs-field-not-canonical vcs-field-bitrotted * Update Standards-Version -> 3.9.4

    2012-06-23 - Mark Purcell <msp@debian.org> libccaudio2 (2.0.5-3) unstable; urgency=low * wheezey polish - lintian clean * Update to Standards Version 3.9.3 - no changes * libccaudio2-dev enhance Description: * Add hyphen-used-as-minus-sign.patch * Update to debian/compat 9 - hardening & multiarch

    2012-05-16 - Mark Purcell <msp@debian.org> libccaudio2 (2.0.5-2) unstable; urgency=low * Upload to unstable - coordinated through debian-release

    2011-10-08 - Mark Purcell <msp@debian.org> libccaudio2 (2.0.5-1) experimental; urgency=low * New upstream release - NEW libccaudio2 - soname bump * Add Build-Depends libucommon-dev * libccaudio2-dev Depends: s/libcommoncpp2-dev/libucommon-dev/ * Switch to dpkg-source 3.0 (quilt) format * Switch to dh * Drop libccaudio-doc - documentation support dropped upstream * Update Standards Version 3.9.2 * debian/copyright update GPL-2 - copyright-refers-to-symlink-license

    2011-06-22 - Luk Claes <luk@debian.org> libccaudio2 (1.0.0-2.1) unstable; urgency=low * Non-maintainer upload. * Don't ship .la files (Closes: #621634).

    2009-02-23 - Mark Purcell <msp@debian.org> libccaudio2 (1.0.0-2) unstable; urgency=low * Upload to unstable - libcommoncpp2 tranistion * debian/compat => 7

    2008-12-30 - Mark Purcell <msp@debian.org> libccaudio2 (1.0.0-1) experimental; urgency=low * New upstream release - NEW libccaudio2-1.0-0 - fixes package-name-doesnt-match-sonames * Add ${misc:Depends} - debhelper-but-no-misc-depends * Hide doxygen errors - libccaudio2-doc.lintian-overrides * Add Depends: pkg-config

    2008-09-05 - Mark Purcell <msp@debian.org> libccaudio2 (0.9.14-2) unstable; urgency=low * Update debian/copyright lintian: copyright-without-copyright-notice * Upgrade to Standards-Version: 3.8.0 - no changes necessary

    2008-03-24 - Mark Purcell <msp@debian.org> libccaudio2 (0.9.14-1) unstable; urgency=low * New upstream release [ Kilian Krause ] * Add ${binary:Version} for binNMU-safe uploads. Add dpkg-dev (>= 1.13.19) to Build-Depends. [ Mark Purcell ] * Cleanup get-orig-source VARS * Add ${shlibs:Depends} missing-dependency-on-libc

    Advertisement
    Advertisement